package com.bytesw.bytebot.controller;

import com.bytesw.bytebot.bean.BcdControlBean;
import com.bytesw.bytebot.service.BcdControlService;
import com.bytesw.xdf.annotation.ProgramSecurity;
import com.bytesw.xdf.controller.XDFController;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController()
@RequestMapping("/service/settings/bcdControl")
@ProgramSecurity("BCDCONTROL")
@Log4j2
public class BcdControlController extends XDFController<BcdControlBean, Long> {
    public BcdControlController(BcdControlService service) {
        super(service);
    }
}
